package com.ruoyi.post.mapper;

import com.ruoyi.post.domain.PostNews;
import com.ruoyi.post.domain.PostPublisher;

import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/25 20:20
 * @Exegesis:
 */
public interface PostPublisherMapper
{
    /**
     * 查询邮贝发行方信息; 
     *
     * @param publisherId 邮贝发行方信息;
     * @return 邮贝发行方信息; 
     */
    public PostPublisher selectPostPublisherByPublisherId(Long publisherId);

    /**
     * 查询邮贝发行方信息; 列表
     *
     * @param postPublisher 邮贝发行方信息; 
     * @return 邮贝发行方信息; 集合
     */
    public List<PostPublisher> selectPostPublisherList(PostPublisher postPublisher);

    /**
     * 新增邮贝发行方信息; 
     *
     * @param postPublisher 邮贝发行方信息; 
     * @return 结果
     */
    public int insertPostPublisher(PostPublisher postPublisher);

    /**
     * 修改邮贝发行方信息; 
     *
     * @param postPublisher 邮贝发行方信息; 
     * @return 结果
     */
    public int updatePostPublisher(PostPublisher postPublisher);

    /**
     * 删除邮贝发行方信息; 
     *
     * @param publisherId 邮贝发行方信息; 主键
     * @return 结果
     */
    public int deletePostPublisherByPublisherId(Long publisherId);

    /**
     * 批量删除邮贝发行方信息; 
     *
     * @param publisherIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostPublisherByPublisherIds(Long[] publisherIds);

    /**
     * 判断账号是否唯一
     * checkContent checkTitle
     * @return
     */
    public PostNews checkPublisherNameUnique(String publisherName);

    /**
     * 判断头像是否唯一
     * @return
     */
    public PostNews checkImageUnique(String image);
}